Name:           perl-Carton
Version:        1.0.28
Release:        6%{?dist}
Summary:        Perl module dependency manager (aka Bundler for Perl)
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Carton/
Source0:        http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Carton-v%{version}.tar.gz
BuildArch:      noarch
# Build
BuildRequires:  make
BuildRequires:  perl-interpreter
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime
# NOTE: there's no real non-interactive test suite
# BuildRequires:  perl-App-cpanminus >= 1.703
# BuildRequires:  perl(App::FatPacker)
# BuildRequires:  perl(Carp)
# BuildRequires:  perl(Class::Tiny) >= 1.001
# BuildRequires:  perl(Config)
# BuildRequires:  perl(constant)
# BuildRequires:  perl(CPAN::Meta) >= 2.120921
# BuildRequires:  perl(CPAN::Meta::Requirements) >= 2.121
# BuildRequires:  perl(File::Find)
# BuildRequires:  perl(File::pushd)
# BuildRequires:  perl(Getopt::Long) >= 2.39
# BuildRequires:  perl(JSON) >= 2.53
# BuildRequires:  perl(Module::CoreList)
# BuildRequires:  perl(Module::CPANfile) >= 0.9031
# BuildRequires:  perl(Module::Metadata) >= 1.000003
# BuildRequires:  perl(Module::Reader) >= 0.002
# BuildRequires:  perl(overload)
# BuildRequires:  perl(parent) >= 0.223
# BuildRequires:  perl(Path::Tiny) >= 0.033
# BuildRequires:  perl(Scalar::Util)
# BuildRequires:  perl(subs)
# BuildRequires:  perl(Try::Tiny) >= 0.09
# BuildRequires:  perl(version)
# Tests only
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl-App-cpanminus >= 1.703
Requires:       perl(Class::Tiny) >= 1.001
Requires:       perl(CPAN::Meta) >= 2.120921
Requires:       perl(CPAN::Meta::Requirements) >= 2.121
Requires:       perl(Getopt::Long) >= 2.39
Requires:       perl(JSON) >= 2.53
Requires:       perl(Module::CPANfile) >= 0.9031
Requires:       perl(Module::Metadata) >= 1.000003
Requires:       perl(Module::Reader) >= 0.002
Requires:       perl(parent) >= 0.223
Requires:       perl(Path::Tiny) >= 0.033
Requires:       perl(Try::Tiny) >= 0.09
# See the docs
Recommends:     perl-core

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Class::Tiny\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN::Meta\\)$
%global __requires_exclude %__requires_exclude|^perl\\(CPAN::Meta::Requirements\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Getopt::Long\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Module::CPANfile\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Path::Tiny\\)$
%global __requires_exclude %__requires_exclude|^perl\\(Try::Tiny\\)$
%global __requires_exclude %__requires_exclude|^perl\\(parent\\)$

%description
carton is a command line tool to track the Perl module dependencies for
your Perl application.  Dependencies are declared using cpanfile format,
and the managed dependencies are tracked in a cpanfile.snapshot file,
which is meant to be version controlled, and the snapshot file allows
other developers of your application to have the exact same versions of
the modules.

%prep
%setup -q -n Carton-v%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{_bindir}/carton
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.28-4
- Perl 5.26 rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.28-3
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.28-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue May 24 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.28-1
- 1.0.28 bump

* Mon May 23 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.26-1
- 1.0.26 bump

* Sat May 14 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.24-2
- Perl 5.24 rebuild

* Tue May 10 2016 Jitka Plesnikova <jplesnik@redhat.com> - 1.0.24-1
- 1.0.24 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 08 2015 Petr Šabata <contyk@redhat.com> 1.0.22-1
- Initial packaging
